//
//  AsFinger.h
//  AsFingerSDK
//
//  Created by mac on 2020/6/15.
//  Copyright © 2020 Asterisk. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>

@protocol AsFingerDelegate <NSObject>
- (void)whenAsFingerIsConnected:(BOOL)isConnected;
- (void)receivedBarcodeData:(NSData *)barcodeData;
- (void)receivedBattery:(int)battery;
- (void)receivedFirmwareVersion:(NSString *)firmwareVersion;
- (void)receivedData:(NSData *)data;
@end

@interface AsFinger : NSObject
@property(nonatomic, weak)id<AsFingerDelegate>delegate;
@property (nonatomic, strong, readonly) CBPeripheral *peripheral;
@property (nonatomic, assign, readonly) BOOL         isConnected;
@property (nonatomic, strong, readonly) NSString     *name;

- (instancetype)initWithCBPeripheral:(CBPeripheral *)cBPeripheral;
- (void)connect;
- (void)disconnect;
- (void)startScan;
- (void)stopScan;
- (void)getBattery;
- (void)getFirmwareVersion;
- (void)sendData:(NSData *)data;
+ (NSString *)getSDKVersion;
@end

